const express = require('express');
const router = express.Router({ mergeParams: true });
const EntranceController = require('../controllers/entrances.controller');
const authenticate = require("../middleware/auth");

router
    .route('/')
    .get(authenticate, EntranceController.getEntrances)
    .post(authenticate, EntranceController.createEntrance)
    .put(authenticate, EntranceController.updateEntrance)
    .delete(authenticate, EntranceController.deleteEntrance);

module.exports = router;